NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Application runs on 4.0, crashes with 5.0 ld.elf_so

=> Gary Duzan wrote:
=>>For anyone following along, I found that a change to ld.elf_so back in
=>> December 2007 is what is triggering the cores. There is code in
=>> x11/qt3-libs which works around the problem for Solaris, MacOS, HP-UX,
=>> and AIX, and I'm looking into getting NetBSD added to the list.
=> Any luck getting this working?  I just tried to install kmymoney2 and
=> I'm having the same problem.  I have qt3-libs-3.3.8nb8 and
=> kmymoney2-0.8.6nb3
=> installed, which seem to be the most recent versions.
=> Is this a bug in qt3-libs, or in ld.elf_so?
=> Which change in ld.elf_so are you talking about?  headers.c 1.24?
=> eric

   It was the change to do init/fini in order from December 7, 2007, as
part of bin/37347. The workaround is in qt3-libs-3.3.8nb9, so an update
should get kmymoney2 working.

   While I'm here, you might also want to take a look at
wip/kmymoney2-devel and wip/kmymoney2-cvs. They point to the 0.9
feature branch which is looking pretty good.

   Good luck...

                                      Gary Duzan

Home | Main Index | Thread Index | Old Index